System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is used to provide design-time parameters for several methods in the class, which parses a template into a set of controls.

Provides information to the parser during design time.

- Constructor
  To be added

  Initializes a new instance of the class without a specified filter.

  The object for managing designer transactions and components.
  The text to parse during design time.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with the specified filter.

  The object for managing designer transactions and components.
  The text to parse during design time.
  The filter to apply during design time.
- Property
  System.EventHandler a To be added

  Gets or sets the delegate for data binding at design time.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.Design.IDesignerHost a To be added

  Gets the object for managing designer transactions and components.

  1.0.5000.0
  2.0.0.0
- Property
  System.String a To be added

  Gets or sets the URL at which the document is located.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the filter used at design time.

- Property
  System.String a To be added

  Gets the text to parse.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether a theme should be applied.

- Property
  2.0.0.0
  System.Collections.ICollection To be added. To be added.

  Gets a collection of information about user control registrations.